#### D.14.7.11 direct_from_boolean_poly

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  from_boolean_poly(pb); pb boolean polynomial

Return:
  polynomial in Singular

Example:

    LIB "polybori.lib";
    ring r=0,(x,y,z),Dp;
    pyobject rb=boolean_poly_ring(r);
    poly f=x^2+2*y^3+3*z^3;
    bpoly pp=f;
    direct_from_boolean_poly(pp);
    poly g=0;
    bpoly pp=g;
    direct_from_boolean_poly(pp);

See also: boolean_ideal; boolean_poly; boolean_poly_ring; boolean_std; from_boolean_ideal.

User manual for Singular version 4.4.1, 2025, generated by texi2html.